Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.mom.xml
Class ElementDefElement

`java.lang.Object
oracle.jbo.mom.xml.WrapperDefElement
oracle.jbo.mom.xml.ElementDefElement`

All Implemented Interfaces:
  DefElement, DefNode

public class ElementDefElement
extends WrapperDefElement

Field Summary

Fields inherited from interface oracle.jbo.mom.xml.DefNode
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`ElementDefElement(Element element)`

Method Summary
`java.lang.String` | `getAttribute(java.lang.String param1)`
`NamedNodeMap` | `getAttributes()`
`com.sun.java.util.collections.ArrayList` | `getAttrsList()` Gets all the attributes of the element, in no particular order.
`NodeList` | `getChildNodes()`
`NodeList` | `getChildrenByTagName(java.lang.String sName)`
`NodeList` | `getChildrenByTagName(java.lang.String uri, java.lang.String localName)`
`com.sun.java.util.collections.ArrayList` | `getChildrenList(short[] nodeTypes, java.lang.String childName)` Gets the child nodes of the given types and node name.
`protected DefElement` | `getFirstChildByTagName(java.lang.String name)` Returns the first immediate child with the specified tag name.
`protected DefElement` | `getFirstElementByTagName(java.lang.String name)` Returns the first `DefElement` descendant (preorder) with the specified tag name.
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getNamespaceURI()`
`java.lang.String` | `getNodeName()`
`Document` | `getOwnerDocument()`
`com.sun.java.util.collections.ArrayList` | `getSimilarChildrenList(java.lang.String childName)` Gets the child elements with node names "similar to" the given node name (i.e.
`static DefElement` | `normalize(java.lang.Object obj)`
`java.lang.String` | `readUserNodeValue(java.lang.String attrName)` Given the Object name and Attribute name loads that attribute
`void` | `removeAttribute(java.lang.String param1)`
`void` | `setAttribute(java.lang.String param1, java.lang.String param2)`

Methods inherited from class oracle.jbo.mom.xml.WrapperDefElement
`findChildElement, getChildren, getChildrenList, getChildrenList, getChildrenList, getElementName, getNodeType, getNodeValue, getSimilarChildren, getTagName, loadProperties, loadPropertiesMap, loadTable, loadTableMap, readBoolean, readClassName, readInt, readLong, readString, readStringArray, readStringArrayList, readStringArrayListElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementDefElement

    public ElementDefElement(Element element)

Method Detail

### normalize

    public static final DefElement normalize(java.lang.Object obj)

### getLocalName

    public java.lang.String getLocalName()

  Specified by:
    `getLocalName` in interface `DefNode`
  Specified by:
    `getLocalName` in class `WrapperDefElement`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `DefNode`
  Specified by:
    `getNamespaceURI` in class `WrapperDefElement`

### getNodeName

    public java.lang.String getNodeName()

  Specified by:
    `getNodeName` in interface `DefNode`
  Specified by:
    `getNodeName` in class `WrapperDefElement`

### getChildrenList

    public com.sun.java.util.collections.ArrayList getChildrenList(short[] nodeTypes,
                                                                   java.lang.String childName)

  Description copied from interface: `DefElement`
  Gets the child nodes of the given types and node name.
  Specified by:
    `getChildrenList` in interface `DefElement`
  Specified by:
    `getChildrenList` in class `WrapperDefElement`

### getSimilarChildrenList

    public com.sun.java.util.collections.ArrayList getSimilarChildrenList(java.lang.String childName)

  Description copied from interface: `DefElement`
  Gets the child elements with node names "similar to" the given node name (i.e. whose node names contain the given node name as a substring).
  Specified by:
    `getSimilarChildrenList` in interface `DefElement`
  Specified by:
    `getSimilarChildrenList` in class `WrapperDefElement`

### getAttrsList

    public com.sun.java.util.collections.ArrayList getAttrsList()

  Description copied from interface: `DefElement`
  Gets all the attributes of the element, in no particular order.
  Specified by:
    `getAttrsList` in interface `DefElement`
  Specified by:
    `getAttrsList` in class `WrapperDefElement`

### readUserNodeValue

    public java.lang.String readUserNodeValue(java.lang.String attrName)

  Description copied from interface: `DefElement`
  Given the Object name and Attribute name loads that attribute
  Specified by:
    `readUserNodeValue` in interface `DefElement`
  Overrides:
    `readUserNodeValue` in class `WrapperDefElement`

### getAttribute

    public java.lang.String getAttribute(java.lang.String param1)

  Specified by:
    `getAttribute` in interface `DefElement`
  Specified by:
    `getAttribute` in class `WrapperDefElement`

### setAttribute

    public void setAttribute(java.lang.String param1,
                             java.lang.String param2)

  Specified by:
    `setAttribute` in interface `DefElement`
  Overrides:
    `setAttribute` in class `WrapperDefElement`

### removeAttribute

    public void removeAttribute(java.lang.String param1)

  Specified by:
    `removeAttribute` in interface `DefElement`
  Overrides:
    `removeAttribute` in class `WrapperDefElement`

### getAttributes

    public NamedNodeMap getAttributes()

  Specified by:
    `getAttributes` in interface `DefElement`
  Overrides:
    `getAttributes` in class `WrapperDefElement`

### getChildNodes

    public NodeList getChildNodes()

  Specified by:
    `getChildNodes` in interface `DefElement`
  Overrides:
    `getChildNodes` in class `WrapperDefElement`

### getChildrenByTagName

    public NodeList getChildrenByTagName(java.lang.String sName)

  Specified by:
    `getChildrenByTagName` in interface `DefElement`
  Overrides:
    `getChildrenByTagName` in class `WrapperDefElement`

### getChildrenByTagName

    public NodeList getChildrenByTagName(java.lang.String uri,
                                         java.lang.String localName)

  Specified by:
    `getChildrenByTagName` in interface `DefElement`
  Overrides:
    `getChildrenByTagName` in class `WrapperDefElement`

### getOwnerDocument

    public Document getOwnerDocument()

  Specified by:
    `getOwnerDocument` in interface `DefElement`
  Overrides:
    `getOwnerDocument` in class `WrapperDefElement`

### getFirstChildByTagName

    protected DefElement getFirstChildByTagName(java.lang.String name)

  Description copied from class: `WrapperDefElement`
  Returns the first immediate child with the specified tag name.
  Specified by:
    `getFirstChildByTagName` in class `WrapperDefElement`
  Parameters:
    `name` - The tag name to match on, or "*" for first child.
  Returns:
    The first matching child (or `null` if none).

### getFirstElementByTagName

    protected DefElement getFirstElementByTagName(java.lang.String name)

  Description copied from class: `WrapperDefElement`
  Returns the first `DefElement` descendant (preorder) with the specified tag name.
  Specified by:
    `getFirstElementByTagName` in class `WrapperDefElement`
  Parameters:
    `name` - The tag name to match on.
  Returns:
    The first matching descendant (or `null` if none).

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.